## CORBA Interface IResultPackageFileEntry

Describes the available result package file entry component actions.

### Definition

CORBA Module SAS

### IResultPackageFileEntry Description

This component facilitates result package file entry manipulation. You may obtain attributes associated with the file entry, retrieve the file associated with the file entry, or create the file associated with the file entry.

CORBA Definitions
attribute ResultPackage | The parent of this component.
attribute Index | Index of file entry within containing result package.
attribute Description | File entry description.
attribute NameValues | File entry name/value pairs.
attribute MIMEType | File entry MIME type.
attribute OriginalFileName | Original file name.
method GetNameValuePairs | File entry parsed name/value pairs.
method Open | Open the file associated with this file entry.

Java Classes
IResultPackageFileEntryHelper | Used to manipulate the IResultPackageFileEntry type
IResultPackageFileEntryHolder | Used to process the IResultPackageFileEntry type as an out parameter

Java Interfaces
IResultPackageFileEntry | Describes the available result package file entry component actions.

Java Interface IResultPackageFileEntry

Describes the available result package file entry component actions.

Package com.sas.iom.SAS

IResultPackageFileEntry Description
This component facilitates result package file entry manipulation. You may obtain attributes associated with the file entry, retrieve the file associated with the file entry, or create the file associated with the file entry.

`public interface IResultPackageFileEntry
extends org.omg.CORBA.Object`

Method Summary

void | GetNameValuePairs ( VariableArray2dOfStringHolder nvPairs ) throws ( GenericError ); File entry parsed name/value pairs.
Object | Open ( StreamOpenMode mode , int maxLineLength ) throws ( GenericError ); Open the file associated with this file entry.

Java Class IResultPackageFileEntryHelper

public class IResultPackageFileEntryHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackageFileEntry type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageFileEntryHelper

Java Class IResultPackageFileEntryHolder

public class IResultPackageFileEntryHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackageFileEntry type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageFileEntryHolder

CORBA Attribute ResultPackage (readonly)

The parent of this component.

Description
Use this attribute to navigate back to the ResultPackage component which is the parent of this component.

Usage

Java Method ResultPackage

    public IResultPackage ResultPackage ();

CORBA Attribute Index (readonly)

Index of file entry within containing result package.

Description
Identifies which result package entry corresponds to this component.

Usage

Java Method Index

    public int Index ();

CORBA Attribute Description (readonly)

File entry description.

Description
Use this attribute to obtain the description associated with this file entry. The description is assigned when the file entry is created.

Usage

Java Method Description

    public java.lang.String Description ();

CORBA Attribute NameValues (readonly)

File entry name/value pairs.

Description
Use this attribute to obtain the name/value pairs associated with this file entry. The name/value pairs are assigned when the file entry is created.

Usage

Java Method NameValues

    public java.lang.String NameValues ();

CORBA Attribute MIMEType (readonly)

File entry MIME type.

Description
Use this attribute to obtain the MIME type associated with this file entry. The MIME type is assigned when the file entry is created.

Usage

Java Method MIMEType

    public java.lang.String MIMEType ();

CORBA Attribute OriginalFileName (readonly)

Original file name.

Description
Use this attribute to obtain the original file name associated with this file entry.

Usage

Java Method OriginalFileName

    public java.lang.String OriginalFileName ();

CORBA Method GetNameValuePairs

File entry parsed name/value pairs.

Description
Call this method to return a two dimensional string array containing the parsed name/value pairs.

Usage

Java Method GetNameValuePairs

`void` GetNameValuePairs (

        VariableArray2dOfStringHolder nvPairs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
nvPairs | out | VariableArray2dOfStringHolder | A two dimensional string array containing the parsed name/value pairs. The two dimensional string array is populated in the following manner:
       For the NameValues: "name1 name2=a name3=(b,c)"
       GetNameValuePairs would return:
                     Column 0   Column 1
            Row 0    "name1"
            Row 1    "name2"    "a"
            Row 2    "name3"    "b"
            Row 3               "c"

Example

CORBA Method Open

Open the file associated with this file entry.

Description
Call this method to open the file associated with this file entry.

Usage

Java Method Open

`Object` Open (

        StreamOpenMode mode ,
        int maxLineLength
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
mode | in | StreamOpenMode | Specifies whether the stream will allow reading, writing, or update. If the containing ResultPackage is read-only (see BrowseResultPackage or BrowseOnly), the Open::mode must be StreamOpenModeForReading.
maxLineLength | in | int | The maximum length of any line that will be in the file. This is only applicable to text files. Binary files ignore this parameter. This is typically set to some larger value than is actually used. If a huge number is specified, some hosts will adjust this down to a more reasonable value. This value can be obtained from TruncationLength. Lines longer than this specified maxLineLength will be truncated.

Example